Subject: bug#67304: Build python-cdflib.x86_64-linux on master is broken.

From: Sharlatan Hellseher <[email-masked]>
Date: Mon, 20 Nov 2023 22:39:22 +0000

Hi Guix,

I've checked the cement to the test and it mentioned as a candidate to be
removed as it's not stable

https://github.com/MAVENSDC/cdflib/blob/master/tests/test_astropy_epochs.py#L116
        # Unfortunately, currently there is a pretty big loss of
precision that comes with
        # the compute function.  Need to stop testing early.

We may consider to disable it to stabilize build.

Thanks,
Oleg

On Mon, 20 Nov 2023 at 19:25, Eric Bavier <[email-masked]> wrote:
>
> Hi Maxim, thanks for the report.
>
> On Mon, 2023-11-20 at 14:02 -0500, Maxim Cournoyer wrote:
> >
> > It seems something in the commits series
> > https://git.savannah.gnu.org/cgit/guix.git/log/?qt=range&q=2ab5e449246f98b049888dde3c310f5b4a0a64a2..b7abea0fd6a146563830db1dc4ddd0cceb6fcf1c
> > either broke the test, else it's flaky.
> >
>
> I have built the package locally many times without fail.
>
> The failed test is one that checks fidelity of a rountrip time format
> conversion for a randomly-generated time, so failure may indeed be
> intermittent.
>
> I will try to dig a bit further, and maybe Sharlatan can as well.
>
> `~Eric

-- 

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.